<script class='controller'>
    setTimeout(function() {

        /*           ACTUALIZAR CONTADORES               */
        $(document).off('click', "#updateCharts");
        $(document).on('click', '#updateCharts', function(e) {
            var userIntel = JSON.parse(window.localStorage.getItem("userIntel")),
                panelToShow = userIntel.panelUsuario,
                userId = $('#sidebarLoaded').attr('userIdPanel');
            $("#loading").fadeIn("fast", function() {
                showPanel(panelToShow, userId);
            });
        });

        /** CUANDO INICIA EL MODULO CARGAMOS LAS PRIMERAS TARJETAS */
        $('.anim1').velocity("transition.slideUpBigIn", {
            stagger: 250,
            complete: function() {
                $('#buscarDevol').focus();
            }
        });

        enterSubm();
    }, 1000);

    /** FUNCIONALIDAD DE LOS INPUT */
    function enterSubm() {
        /*  ORIGEN! */
        $('.buscarCajamasInp').keypress(function(e) {
            if (e.which == 13) {
                var cajaVal = $(document).find('#buscarCajamasInp').val(); //,
                if (cajaVal == '') {
                    $.growl.error({
                        message: "Debe llenar todos los campos"
                    });
                    return;
                }
                getThisBoxMaster();
            }
        });

        /** AL PRESIONAR EL BOTON EL CODIGO DE BARRA Y LO CARGAMOS AL LISTADO */
        $(document).off('click', ".searchingBtn");
        $(document).on('click', '.searchingBtn', function(e) {
            var cajaVal = $(document).find('#buscarCajamasInp').val(); //,
            if (cajaVal == '') {
                $.growl.error({
                    message: "Debe llenar todos los campos"
                });
                return;
            }
            getThisBoxMaster();
        });

    }

    /** REUBICAR CAJA COMPLETA */
    function getThisBoxMaster() {

        $('#updateCharts i').addClass('fa-spin');
        var formData = new FormData(),
            cajaVal = $(document).find('#buscarCajamasInp').val(),
            userId = $('#sidebarLoaded').attr('userIdPanel'),
			tipo = $(document).find("input[type=radio][name=dest-radios]:checked").val();
        formData.append('userId', userId);
        formData.append('meth', 'consultarCajamas');
        formData.append('cajaVal', cajaVal);
		formData.append('cajaTipo', tipo);
        apiCall(formData, function(data) {
            $('#updateCharts i').removeClass('fa-spin');
            //var resp = JSON.parse(data.resp.GetPickingDetailResult);
            console.log(JSON.Stringify(data));
            if (data.rows.length > 0) {
                $('.anim3').velocity("transition.slideUpBigOut", {
                    duration: 200,
                    complete: function() {
                        var code = '';
                        $('.listadoCajamas tbody').html(code);
                        var totalListado = 0;
                        for (i = 0; i < data.rows.length; i++) {
                            $('.listadoCajamas tbody').append(' <tr class="thisCajamasProd">' +
                                '<td class="cajamaster" data-valtype="cajamaster">' + data.rows[i]['CAJAMASTER'] + '</td> ' +
								'<td class="codbarras" data-valtype="codbarras">' + data.rows[i]['CODBARRAS'] + '</td> ' +
                                '<td class="cantidad" data-valtype="cantidad">' + data.rows[i]['CANTIDAD'] + '</td> ' +
								'<td class="refprov" data-valtype="refprov">' + data.rows[i]['REFPROVEEDOR'] + '</td> ' +
								'<td class="bodega" data-valtype="bodega">' + data.rows[i]['BODEGA'] + '</td> ' +
								'<td class="ubicacion" data-valtype="ubiCAcion">' + data.rows[i]['UBICACION'] + '</td> ' +
                                '<td class="codart" data-valtype="codart">' + data.rows[i]['CODARTICULO'] + '</td> ' +
                                '<td class="talla" data-valtype="talla">' + data.rows[i]['TALLA'] + '</td> ' +
                                '<td class="color" data-valtype="color">' + data.rows[i]['COLOR'] + '</td> ' +
                                '<td class="descripcion" data-valtype="descripcion">' + data.rows[i]['DESCRIPCION'] + '</td> ' +
                                
                                ' </tr>');
                            totalListado = +totalListado + +data.rows[i]['CANTIDAD'];
                        }
                        $('.unidadesListadoTotal span').html(totalListado);
                        $('.anim11').velocity("transition.slideUpBigOut", {
                            stagger: 250,
                            complete: function() {
                                $('.anim3').velocity("transition.slideUpBigIn", {
                                    stagger: 250,
                                    complete: function() {
                                        $('#productoBox').focus();
                                    }
                                });
                            }
                        });
                    }
                });
            } else {
                $.growl.error({
                    message: "No existen documentos por procesar"
                });
                return;
            }
        });
    }
</script>